Swoole Compiler 授权安装向导

(RiPro-V2需要Swoole Compiler加密扩展,当前仅支持PHP7.4)
如果您环境是虚拟主机不支持自定义安装php扩展。
请去FTP或者文件管理删除 \wp-content\themes\ripro-v2\ 主题目录即可恢复网站。

环境信息

  • 操作系统 : Linux VM_0_17_centos 3.10.0-957.27.2.el7.x86_64 #1 SMP Mon Jul 29 17:46:05 UTC 2019 x86_64
  • PHP版本 : 8.0.10
  • PHP运行环境 : fpm-fcgi
  • PHP配置文件 : /www/server/php/80/etc/php.ini
  • PHP扩展安装目录 : /www/server/php/80/lib/php/extensions/no-debug-non-zts-20200930
  • PHP是否线程安全 : 非线程安全
  • 是否安装swoole_loader : 未安装

安装和配置Swoole Loader 扩展

    1 - 点击下载 unix PHP8.0 Swoole Loader扩展文件

    2 - 安装Swoole Loader

    将刚才下载的Swoole Loader扩展文件(swoole_loader80.so)上传到当前PHP的扩展安装目录中:/www/server/php/80/lib/php/extensions/no-debug-non-zts-20200930

    3 - 修改php.ini配置(如已修改配置,请忽略此步骤,不必重复添加)

    编辑此PHP配置文件:/www/server/php/80/etc/php.ini
    在此文件底部结尾处加入如下配置并且保存 :extension=swoole_loader80.so
    注意:需要名称和刚才上传到当前PHP的扩展安装目录中的文件名一致

    4 - 重启PHP或者重启服务器